Bug 241166 - databases/postgresql11-server : patch to fix packaging issue when LLVM is enabled and SSL is disabled
Summary: databases/postgresql11-server : patch to fix packaging issue when LLVM is ena...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on: 241053
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-09 19:55 UTC by Artyom Davidov
Modified: 2019-10-21 10:11 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (pgsql)


Attachments
Patch for pkg-plist-server file (764 bytes, patch)
2019-10-09 19:55 UTC, Artyom Davidov
no flags Details | Diff
Archive with the build logs (219.36 KB, application/x-compressed)
2019-10-09 19:58 UTC, Artyom Davidov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Artyom Davidov 2019-10-09 19:55:00 UTC
Created attachment 208214 [details]
Patch for pkg-plist-server file

Hello,

This patch will fix the packaging issue that prevents databases/postgresql11-server port to build successfully when LLVM is enabled and SSL is disabled.

This patch depends on https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=241053 since these ports use common Makefile
Comment 1 Artyom Davidov 2019-10-09 19:58:36 UTC
Created attachment 208215 [details]
Archive with the build logs

This is the Synth test build logs performed on FreeBSD 11.3 adm64 machine.

This archive includes four build logs with LLVM ON, and different GSSAPI and SSL options.
Comment 2 commit-hook freebsd_committer 2019-10-17 14:13:15 UTC
A commit references this bug:

Author: girgen
Date: Thu Oct 17 14:12:50 UTC 2019
New revision: 514661
URL: https://svnweb.freebsd.org/changeset/ports/514661

Log:
  Fix PLIST problems when building with LLVM but without GSSAPI or OPENSSL.

  PR:		241053, 241166
  Submitted by:	Artyom Davidov

Changes:
  head/databases/postgresql12-server/Makefile
  head/databases/postgresql12-server/pkg-plist-server
Comment 3 Palle Girgensohn freebsd_committer 2019-10-17 14:13:40 UTC
Fixed with patch in 241053. Thanks!
Comment 4 Artyom Davidov 2019-10-17 16:42:23 UTC
(In reply to Palle Girgensohn from comment #3)
Hello Palle,

Thanks for the commit!

But it looks like this issue was not fixed for databases/postgresql11-server by the commit https://svnweb.freebsd.org/changeset/ports/514661

databases/postgresql11-server requires a separate fixes for the pkg-plist-server from the patch attached to this PR.
I didn't include them in the patch that was attached to #241053 since I thought that it would be better to separate them 'cause they affect different postgresql ports (versions).

So the patch from this PR should also be merged to the ports tree to fix this issue for databases/postgresql11-server
Comment 5 Artyom Davidov 2019-10-18 17:11:27 UTC
Reopened, since the patch from this PR was not committed with https://svnweb.freebsd.org/changeset/ports/514661
Comment 6 Palle Girgensohn freebsd_committer 2019-10-21 10:11:26 UTC
Committed! Thanks.
Comment 7 commit-hook freebsd_committer 2019-10-21 10:11:47 UTC
A commit references this bug:

Author: girgen
Date: Mon Oct 21 10:10:56 UTC 2019
New revision: 515099
URL: https://svnweb.freebsd.org/changeset/ports/515099

Log:
  Fix PLIST problems when building with LLVM but without GSSAPI or OPENSSL.

  PR:		241166
  Submitted by:	Artyom Davidov

Changes:
  head/databases/postgresql11-server/pkg-plist-server